Playbooks
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstringOptional
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault:
trueResponses
200
OK
totalCountinteger · int32Optional
get/playbooks
GET /playbooks HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}
],
"totalCount": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Body
namestring · nullableRequired
descriptionstring · nullableOptional
isPrivatebooleanRequired
organizationWidebooleanRequired
Responses
201
Created
objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableRequired
isPrivatebooleanRequired
organizationWidebooleanRequired
dateAddedstring · date-timeRequired
hasImagebooleanOptional
hasWordAssemblybooleanOptional
hasMultipleGroupsbooleanOptional
groupCountinteger · int32Optional
promptCountinteger · int32Optional
requiresMaintenancebooleanOptional
post/playbooks
POST /playbooks HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 362
{
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"metadata": [
{
"organizationMetadataIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalValue": 1,
"text": "text",
"date": "2026-01-01T00:00:00.000Z",
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
]
}201
Created
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Body
importZipstring · binaryOptional
Responses
202
Accepted
taskObjectIdentifierstring · uuidOptional
typestring · nullableOptional
statusstring · nullableOptional
400
Bad Request
post/playbooks/import
POST /playbooks/import HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 22
{
"importZip": "binary"
}{
"taskObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"type": "text",
"status": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Body
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstring · nullableOptional
sortingstring · enumOptionalPossible values:
descbooleanOptional
scopestring · enumOptionalPossible values:
Responses
200
OK
totalCountinteger · int32Optional
post/playbooks/search
POST /playbooks/search HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"pageNumber": 1,
"pageSize": 1,
"searchText": "text",
"metadata": [
{
"metadataId": "text",
"dataType": "boolean",
"value": null
}
],
"sorting": "dateAdded",
"desc": true,
"scope": "all"
}200
OK
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}
],
"totalCount": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Body
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstring · nullableOptional
sortingstring · enumOptionalPossible values:
descbooleanOptional
scopestring · enumOptionalPossible values:
Responses
200
OK
totalCountinteger · int32Optional
post/playbooks/search/all
POST /playbooks/search/all HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"pageNumber": 1,
"pageSize": 1,
"searchText": "text",
"metadata": [
{
"metadataId": "text",
"dataType": "boolean",
"value": null
}
],
"sorting": "dateAdded",
"desc": true,
"scope": "all"
}200
OK
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"isPrivate": true,
"organizationWide": true,
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"hasImage": true,
"hasWordAssembly": true,
"hasMultipleGroups": true,
"groupCount": 1,
"promptCount": 1,
"requiresMaintenance": true
}
],
"totalCount": 1
}Last updated
